Package com.io7m.idstore.protocol.admin

# Record Class IdACommandAdminCreate

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.IdACommandAdminCreate

Record Components:
  `id` - The admin ID
  `idName` - The id name
  `realName` - The real name
  `email` - The primary email
  `password` - The password
  `permissions` - The set of permissions

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBMessageType`, `IdACommandType<IdAResponseAdminCreate>`, `IdAMessageType`, `IdProtocolMessageType`

public record IdACommandAdminCreate(Optional<UUID> id, IdName idName, IdRealName realName, IdEmail email, IdPassword password, Set<IdAdminPermission> permissions) extends Record implements IdACommandType<IdAResponseAdminCreate>
Create an admin.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdACommandAdminCreate(Optional<UUID> id, IdName idName, IdRealName realName, IdEmail email, IdPassword password, Set<IdAdminPermission> permissions)`
  Create an admin.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdEmail`
  `email()`
  Returns the value of the `email` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Optional<UUID>`
  `id()`
  Returns the value of the `id` record component.
  `IdName`
  `idName()`
  Returns the value of the `idName` record component.
  `IdPassword`
  `password()`
  Returns the value of the `password` record component.
  `Set<IdAdminPermission>`
  `permissions()`
  Returns the value of the `permissions` record component.
  `IdRealName`
  `realName()`
  Returns the value of the `realName` record component.
  `Class<IdAResponseAdminCreate>`
  `responseClass()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdACommandAdminCreate

    public IdACommandAdminCreate(Optional<UUID> id, IdName idName, IdRealName realName, IdEmail email, IdPassword password, Set<IdAdminPermission> permissions)
    Create an admin.

- ## Method Details

  - ### responseClass

    public Class<IdAResponseAdminCreate> responseClass()
    Specified by:
      `responseClass` in interface `IdACommandType<IdAResponseAdminCreate>`
    Returns:
      The response type associated with this command

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### id

    public Optional<UUID> id()
    Returns the value of the `id` record component.
    Returns:
      the value of the `id` record component

  - ### idName

    public IdName idName()
    Returns the value of the `idName` record component.
    Returns:
      the value of the `idName` record component

  - ### realName

    public IdRealName realName()
    Returns the value of the `realName` record component.
    Returns:
      the value of the `realName` record component

  - ### email

    public IdEmail email()
    Returns the value of the `email` record component.
    Returns:
      the value of the `email` record component

  - ### password

    public IdPassword password()
    Returns the value of the `password` record component.
    Returns:
      the value of the `password` record component

  - ### permissions

    public Set<IdAdminPermission> permissions()
    Returns the value of the `permissions` record component.
    Returns:
      the value of the `permissions` record component